Loading...
Searching...
No Matches
lime::ReceiverKeyChain< Curve > Struct Template Reference

Chain storing the DH and MKs associated with Nr(uint16_t map index). More...

`#include <lime_double_ratchet.hpp>`

## Public Member Functions

| ReceiverKeyChain (X< Curve, lime::Xtype::publicKey > key)

## Public Attributes

X< Curve, lime::Xtype::publicKey > | DHr
std::unordered_map< uint16_t, DRMKey > | messageKeys

## Detailed Description

template<typename Curve>
struct lime::ReceiverKeyChain< Curve >

Chain storing the DH and MKs associated with Nr(uint16_t map index).

Template Parameters

  Curve | The elliptic curve to use: C255 or C448

## Constructor & Destructor Documentation

## ReceiverKeyChain()

template<typename Curve>

lime::ReceiverKeyChain< Curve >::ReceiverKeyChain | ( | X< Curve, lime::Xtype::publicKey > | key | ) |

inline

Start a new empty chain

Parameters

  [in] | key | the peer DH public key used on this chain

## Member Data Documentation

## DHr

template<typename Curve>

X<Curve, lime::Xtype::publicKey> lime::ReceiverKeyChain< Curve >::DHr

peer public key identifying this chain

## messageKeys

template<typename Curve>

std::unordered_map<uint16_t, DRMKey> lime::ReceiverKeyChain< Curve >::messageKeys

message keys indexed by Nr

The documentation for this struct was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/lime_double_ratchet.hpp